.\"
.\" Copyright (c) 1996 Jonathan Stone.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Jonathan Stone.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: intro.4,v 1.4 2003/05/06 07:44:56 wiz Exp $
.\"
.Dd August 13, 1997
.Dt INTRO 4 sun2
.Os
.Sh NAME
.Nm intro
.Nd introduction to sun2 special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support
available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of
each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation;
see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices
which may be configured into the system
and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh DEVICE SUPPORT
This section describes the hardware supported on the Sun2
platform.
Software support for these devices comes in two forms.  A hardware
device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.  When the resultant system is booted, the
autoconfiguration facilities in the system probe for the device
and, if found, enable the software support for it.
If a device does not respond at autoconfiguration
time it is not accessible at any time afterwards.
To enable a device which did not autoconfigure,
the system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4 ,
.Xr cd 4 ,
.Xr sd 4 ,
.Xr ss 4 ,
.Xr st 4
.Sh SUPPORTED SYSTEMS
The following Sun2 system architectures and models are supported:
.Bl -tag -width eeprom
.It sun2
Sun2 systems: (MC68010)
.br
Sun 2/120, 2/170 (10 MHz)
.br
.El
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of
the system.  Devices are indicated by their functional interface.
Not all supported devices are listed.
.Pp
.Bl -tag -width eeprom
.It bwtwo
black and white obio frame buffer
.It ie
Intel 82586 Ethernet controller (Sun 2/120, 2/170)
.It ec
3Com 3c400 Multibus Ethernet controller (Sun 2/120, 2/170)
.It kbd
Sun type 2, type 3, type 4, and type 5 keyboards (on zstty)
.It ms
Sun mouse (on zstty)
.It sc
Sun "SCSI-2" Multibus SCSI controller
.It zs
Zilog 8530 serial controller
.El
.Sh HISTORY
This
.Tn sun2
.Nm intro
appeared in
.Nx 1.6 .
Large chunks of text carefully recycled (shamelessly appropriated)
from
.Nx Ns /sun3
.Xr intro 4 .
